curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"RatePlan\", \"id\": \"rateplan_1234\", \"vid\": \"4a276f4854085d7c0b5665f61ecf8988bbfe481d\", \"description\": \"Combo: Each, Usage, Flat1\", \"multiply_rated_units_by\": \"EachRespectiveTier\", \"rated_unit\": { \"object\": \"RatedUnit\", \"name_singular\": \"License\", \"name_plural\": \"Licenses\" }, \"tier\": [ { \"object\": \"RatePlanTier\", \"name\": \"Tier 1\", \"rate_price\": [ { \"object\": \"RatePlanPrice\", \"amount\": 11, \"currency\": \"USD\" } ], \"charge_customer\": \"FlatFee\", \"begins_at_level\": 1 }, { \"object\": \"RatePlanTier\", \"name\": \"Tier 2\", \"rate_price\": [ { \"object\": \"RatePlanPrice\", \"amount\": 50, \"currency\": \"USD\" } ], \"charge_customer\": \"FlatFee\", \"begins_at_level\": 11 } ], \"rounding_decimals\": 0, \"included_units\": 0, \"minimum_fee\": [ { \"object\": \"RatePlanPrice\", \"amount\": 10, \"currency\": \"USD\" } ], \"maximum_fee\": [], \"rate_plan_model\": \"UsageBased\", \"status\": \"Active\", \"has_event_recorded\": false, \"created\": \"2022-07-05T14:57:23+00:00\" } ], \"total_count\": 1, \"url\": \"/rate_plans\", \"next\": \"/rate_plans?starting_after=rateplan_1234\", \"previous\": \"/rate_plans?ending_before=rateplan_1234\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"List all Rate Plans
Retrieves all Rate plans
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/rate_plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"RatePlan\", \"id\": \"rateplan_1234\", \"vid\": \"4a276f4854085d7c0b5665f61ecf8988bbfe481d\", \"description\": \"Combo: Each, Usage, Flat1\", \"multiply_rated_units_by\": \"EachRespectiveTier\", \"rated_unit\": { \"object\": \"RatedUnit\", \"name_singular\": \"License\", \"name_plural\": \"Licenses\" }, \"tier\": [ { \"object\": \"RatePlanTier\", \"name\": \"Tier 1\", \"rate_price\": [ { \"object\": \"RatePlanPrice\", \"amount\": 11, \"currency\": \"USD\" } ], \"charge_customer\": \"FlatFee\", \"begins_at_level\": 1 }, { \"object\": \"RatePlanTier\", \"name\": \"Tier 2\", \"rate_price\": [ { \"object\": \"RatePlanPrice\", \"amount\": 50, \"currency\": \"USD\" } ], \"charge_customer\": \"FlatFee\", \"begins_at_level\": 11 } ], \"rounding_decimals\": 0, \"included_units\": 0, \"minimum_fee\": [ { \"object\": \"RatePlanPrice\", \"amount\": 10, \"currency\": \"USD\" } ], \"maximum_fee\": [], \"rate_plan_model\": \"UsageBased\", \"status\": \"Active\", \"has_event_recorded\": false, \"created\": \"2022-07-05T14:57:23+00:00\" } ], \"total_count\": 1, \"url\": \"/rate_plans\", \"next\": \"/rate_plans?starting_after=rateplan_1234\", \"previous\": \"/rate_plans?ending_before=rateplan_1234\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
1 <= x <= 100A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
Response
JSON A list array with a data property that contains an array of up to limit RatePlans, starting after the specified starting_after RatePlan (or ending before the specified ending_before RatePlan). Each entry in the array is a full RatePlan object. If no more objects are available, the resulting array will be empty. This request should never throw an error. A list of RatePlan objects matching the query. Also:
-
total_count: Integer count of the number of RatePlan in the returned list.
-
url: The query string provided in the request
-
next: The route (partial URL) to the next RatePlan object (string to select the “next”); included vid should match that of the last object returned here
-
previous: The route (partial URL) to the previous RatePlan object (string to select the “previous”); included vid should match that of the first object returned here
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next RatePlan object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous RatePlan object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"RatePlan\", \"id\": \"rateplan_1234\", \"vid\": \"4a276f4854085d7c0b5665f61ecf8988bbfe481d\", \"description\": \"Combo: Each, Usage, Flat1\", \"multiply_rated_units_by\": \"EachRespectiveTier\", \"rated_unit\": { \"object\": \"RatedUnit\", \"name_singular\": \"License\", \"name_plural\": \"Licenses\" }, \"tier\": [ { \"object\": \"RatePlanTier\", \"name\": \"Tier 1\", \"rate_price\": [ { \"object\": \"RatePlanPrice\", \"amount\": 11, \"currency\": \"USD\" } ], \"charge_customer\": \"FlatFee\", \"begins_at_level\": 1 }, { \"object\": \"RatePlanTier\", \"name\": \"Tier 2\", \"rate_price\": [ { \"object\": \"RatePlanPrice\", \"amount\": 50, \"currency\": \"USD\" } ], \"charge_customer\": \"FlatFee\", \"begins_at_level\": 11 } ], \"rounding_decimals\": 0, \"included_units\": 0, \"minimum_fee\": [ { \"object\": \"RatePlanPrice\", \"amount\": 10, \"currency\": \"USD\" } ], \"maximum_fee\": [], \"rate_plan_model\": \"UsageBased\", \"status\": \"Active\", \"has_event_recorded\": false, \"created\": \"2022-07-05T14:57:23+00:00\" } ], \"total_count\": 1, \"url\": \"/rate_plans\", \"next\": \"/rate_plans?starting_after=rateplan_1234\", \"previous\": \"/rate_plans?ending_before=rateplan_1234\" }"

